Subject: RE: rpm-4.1 successful compile on Cygwin
From: "Ralf Habacker" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Sat, 8 Mar 2003 10:02:55 +0100

Max Bowsher wrote:
>
> > I'm not quite sure rpm really is desirable for the Cygwin dist, unless it
> > was decided to transition to rpm packages exclusively once setup was
> > suitably adapted.
>
> Well, there are grand designs eventually to generalize setup so that it
> can accept tar.bz2 (or .cyg?) packages, as well as linking to (a windows
> native version of...) librpm and libdeb to provide rpm and deb support.
>   There are, of course, MAJOR difficulties with this, which have yet to
> be addressed (like keeping the setup installed.db, rpm's db, and deb's
> "db" all in sync.  Bringing setup's native dependency-resolution logic
> up to the level provided by deb and to a lesser extent rpm.
> Commandline/scripting support. etc etc)
>
> But, rpm has been around for years on cygwin without the sky falling.  I
>   used it back when I provided perl-for-cygwin, as a means of keeping
> track of binary dists of perl modules.  I'm sure there are other,
> similiarly limited uses that won't cause armageddon.

yes, an example are the original kde3 i18n rpm language packages which are
directly usable for kde3/cygwin. Using this rpm packages avoids the needs for
repackaging of about 50 packages.

Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/